LoadFile("DATA:GUI/Creator_Screen.lua")

-----------------------------------------------------
-- Extra controls
-----------------------------------------------------

local buttonOG = 1.1
local buttonScale = 1.1

--Change test button icon to editor icon
for i, v in ipairs(CreatorButtonsGroup.parent_ext.children) do
	if v.name == "TestButton" then
		v.anim_ext.animation = [[GUI\editor\button_editor.anim]]
		v.tooltip_ext.widget.text_ext.text = "$00271"
		break
	end
end

local ShowHintablesButton = CreatePushButton("ShowHintablesButton", [[GUI\in_game\button_hint.anim]], { 0, 80 }, buttonOG)
ShowHintablesButton.anim_ext.additional_scale = buttonScale
SetUITooltip(ShowHintablesButton, "$00203", { 0, -74 })

table.insert(CreatorButtonsGroup.parent_ext.children, 1, ShowHintablesButton)

--Offset creator buttons when ShowHintablesButton is visible
CreatorButtonsAltPos = { SCREEN_WIDTH - 60, SCREEN_HEIGHT - CONTROL_PANEL_HEIGHT / 2 - 85 }

-----------------------------------------------------
-- Widgets
-----------------------------------------------------

widgets =
{
	-- Hud
	RadialMenu,
	CreatorButtonsGroup,
	BottomGroup,
	CollectiblesGroup,

	-- Menu
	MenuButtonBadge,
	MenuButton,
	GameMenuDialog,
	OptionsDialog,
	CreditsDialog,
	
	-- Gameplay dialogs
	MessageBox,
	WinDialog,
	EetsDeadDialog,
}

if GetVersion() ~= "IOS" then
	table.insert(widgets, ItemTooltipContainer)
end